Imports System
Imports System.ComponentModel
Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering
Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation
Imports DevExpress.ExpressApp.SystemModule
Imports DevExpress.Persistent.Base.Security

Imports DevExpress.ExpressApp.ConditionalAppearance
Imports DevExpress.ExpressApp.Filtering

<Appearance("Hide Customers when IsMultipleSelection = True", AppearanceItemType:="ViewItem", criteria:="IsMultipleSelection = True", targetitems:="Customers", Context:="DetailView", Visibility:=DevExpress.ExpressApp.Editors.ViewItemVisibility.Hide)> _
<NavigationItem(False), CreatableItem(False)> _
Public Class ContractsCloneView
    Inherits BaseObject
    Private _CustomersFrom As CustomersFrom ' Saját cég
    Private _Customers As Customers ' Ügyfél
    Private _ContractTemplate As ContractTemplate ' Szerződés sablon
    Private _AreContractRowsClone As Boolean = False ' 
    Private _IsMultipleSelection As Boolean = False

    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    <ImmediatePostData()> _
    Property CustomersFrom As CustomersFrom
        Get
            Return _CustomersFrom
        End Get
        Set(ByVal value As CustomersFrom)
            SetPropertyValue("CustomersFrom", _CustomersFrom, value)
        End Set
    End Property
    Property Customers As Customers
        Get
            Return _Customers
        End Get
        Set(ByVal value As Customers)
            SetPropertyValue("Customers", _Customers, value)
        End Set
    End Property
    <DataSourceCriteria("CustomersFrom='@This.CustomersFrom'")> _
    Property ContractTemplate As ContractTemplate
        Get
            Return _ContractTemplate
        End Get
        Set(ByVal value As ContractTemplate)
            SetPropertyValue("ContractTemplate", _ContractTemplate, value)
        End Set
    End Property
    Property AreContractRowsClone As Boolean
        Get
            Return _AreContractRowsClone
        End Get
        Set(ByVal value As Boolean)
            SetPropertyValue("AreContractRowsClone", _AreContractRowsClone, value)
        End Set
    End Property
    Property IsMultipleSelection As Boolean
        Get
            Return _IsMultipleSelection
        End Get
        Set(ByVal value As Boolean)
            SetPropertyValue("IsMultipleSelection", _IsMultipleSelection, value)
        End Set
    End Property
End Class


